<?php

// treatments price //////////////////////////////////////////////////////////////////////////////////
add_action( 'init', 'treatments_init',0 );
function treatments_init() {

	$labels = array(
		'name'               => esc_html__( 'Treatments price', 'post type general name', 'ova-niobe' ),
		'singular_name'      => esc_html__( 'Treatments price', 'post type singular name', 'ova-niobe' ),
		'menu_name'          => esc_html__( 'Treatments price', 'admin menu', 'ova-niobe' ),
		'name_admin_bar'     => esc_html__( 'Treatments price', 'add new on admin bar', 'ova-niobe' ),
		'add_new'            => esc_html__( 'Add New price', 'Slide', 'ova-niobe' ),
		'add_new_item'       => esc_html__( 'Add New price', 'ova-niobe' ),
		'new_item'           => esc_html__( 'New price', 'ova-niobe' ),
		'edit_item'          => esc_html__( 'Edit price', 'ova-niobe' ),
		'view_item'          => esc_html__( 'View price', 'ova-niobe' ),
		'all_items'          => esc_html__( 'All prices', 'ova-niobe' ),
		'search_items'       => esc_html__( 'Search prices', 'ova-niobe' ),
		'parent_item_colon'  => esc_html__( 'Parent prices:', 'ova-niobe' ),
		'not_found'          => esc_html__( 'No prices found.', 'ova-niobe' ),
		'not_found_in_trash' => esc_html__( 'No prices found in Trash.', 'ova-niobe' ),
	);

	$args = array(
		'labels'             => $labels,
		'public'             => true,
		'menu_icon'          => 'dashicons-list-view',
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'treatments-price' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title','editor'),
		'taxonomies'          => array('treatmentprice'),
	);

	register_post_type( 'treatments_price', $args ); // Create post type: treatments price
}


add_action( 'init', 'create_treatments_taxonomies', 0 );
function create_treatments_taxonomies() {
	// Add new taxonomy, make it hierarchical (like categories)
	$labels = array(
		'name'              => esc_html__( 'Price groups', 'taxonomy general name' , 'ova-niobe'),
		'singular_name'     => esc_html__( 'Price groups', 'taxonomy singular name' , 'ova-niobe'),
		'search_items'      => esc_html__( 'Search Price groups', 'ova-niobe'),
		'all_items'         => esc_html__( 'All Price groups', 'ova-niobe' ),
		'parent_item'       => esc_html__( 'Parent Price groups', 'ova-niobe' ),
		'parent_item_colon' => esc_html__( 'Parent Price groups:' , 'ova-niobe'),
		'edit_item'         => esc_html__( 'Edit Price groups' , 'ova-niobe'),
		'update_item'       => esc_html__( 'Update Price groups' , 'ova-niobe'),
		'add_new_item'      => esc_html__( 'Add New Price groups' , 'ova-niobe'),
		'new_item_name'     => esc_html__( 'New Price groups Name' , 'ova-niobe'),
		'menu_name'         => esc_html__( 'Price groups' , 'ova-niobe'),
	);

	$args = array(
		'hierarchical'      => true,
		'labels'            => $labels,
		'show_ui'           => true,
		'show_admin_column' => true,
		'query_var'         => true,
		'rewrite'           => array( 'slug' => 'treatments-price' )
	);

	register_taxonomy( 'treatmentsprice', array('treatments_price'), $args ); // Create taxonomy: price
}

// /treatments price //////////////////////////////////////////////////////////////////////////////////



// faq //////////////////////////////////////////////////////////////////////////////////
add_action( 'init', 'faq_init',0 );
function faq_init() {

	$labels = array(
		'name'               => esc_html__( 'Faq', 'post type general name', 'ova-niobe' ),
		'singular_name'      => esc_html__( 'Faq', 'post type singular name', 'ova-niobe' ),
		'menu_name'          => esc_html__( 'Faq', 'admin menu', 'ova-niobe' ),
		'name_admin_bar'     => esc_html__( 'Faq', 'add new on admin bar', 'ova-niobe' ),
		'add_new'            => esc_html__( 'Add New faq', 'Slide', 'ova-niobe' ),
		'add_new_item'       => esc_html__( 'Add New faq', 'ova-niobe' ),
		'new_item'           => esc_html__( 'New faq', 'ova-niobe' ),
		'edit_item'          => esc_html__( 'Edit faq', 'ova-niobe' ),
		'view_item'          => esc_html__( 'View faq', 'ova-niobe' ),
		'all_items'          => esc_html__( 'All faqs', 'ova-niobe' ),
		'search_items'       => esc_html__( 'Search faqs', 'ova-niobe' ),
		'parent_item_colon'  => esc_html__( 'Parent faqs:', 'ova-niobe' ),
		'not_found'          => esc_html__( 'No faqs found.', 'ova-niobe' ),
		'not_found_in_trash' => esc_html__( 'No faqs found in Trash.', 'ova-niobe' ),
	);

	$args = array(
		'labels'             => $labels,
		'public'             => true,
		'menu_icon'          => 'dashicons-editor-help',
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'faq' ),
		'capability_type'    => 'post',
		'has_archive'        => true,
		'hierarchical'       => false,
		'menu_position'      => null,
		'supports'           => array( 'title' ,'editor'),
	);

	register_post_type( 'faq', $args );
}
// /faq //////////////////////////////////////////////////////////////////////////////////


