<?php
add_action('wp_enqueue_scripts', 'niobe_theme_scripts_styles');
add_action('wp_enqueue_scripts', 'niobe_primary_color');




function niobe_theme_scripts_styles() {


    /* Google Font */
    wp_enqueue_style( 'ova-niobe-fonts', niobe_customize_google_fonts(), array(), null );

    // enqueue the javascript that performs in-link comment reply fanciness
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
        wp_enqueue_script( 'comment-reply' ); 
    }



    
    /* Add Javascript  */
    wp_enqueue_script('bootstrap', NIOBE_URI.'/assets/plugins/bootstrap/js/bootstrap.min.js', array('jquery'),null,true);

    wp_enqueue_script('pace.min', NIOBE_URI.'/assets/js/pace.min.js', array('jquery'),null,true);
    wp_enqueue_script('debouncer.min', NIOBE_URI.'/assets/js/debouncer.min.js', array('jquery'),null,true);
    wp_enqueue_script('jquery.easing.min', NIOBE_URI.'/assets/js/jquery.easing.min.js', array('jquery'),null,true);
    wp_enqueue_script('flickity.pkgd.min', NIOBE_URI.'/assets/js/flickity.pkgd.min.js', array('jquery'),null,true);
    wp_enqueue_script('jquery.inview.min', NIOBE_URI.'/assets/js/jquery.inview.min.js', array('jquery'),null,true);
    wp_enqueue_script('jquery.matchHeight', NIOBE_URI.'/assets/js/jquery.matchHeight.js', array('jquery'),null,true);
    wp_enqueue_script('jquery.tinyscrollbar.min', NIOBE_URI.'/assets/js/jquery.tinyscrollbar.min.js', array('jquery'),null,true);
    wp_enqueue_script('isotope.pkgd.min', NIOBE_URI.'/assets/js/isotope.pkgd.min.js', array('jquery'),null,true);
    wp_enqueue_script('imagesloaded.pkgd.min', NIOBE_URI.'/assets/js/imagesloaded.pkgd.min.js', array('jquery'),null,true);
    wp_enqueue_script('jquery.countTo', NIOBE_URI.'/assets/js/jquery.countTo.js', array('jquery'),null,true);
    wp_enqueue_script('jquery.magnific-popup.min', NIOBE_URI.'/assets/js/jquery.magnific-popup.min.js', array('jquery'),null,true);
    wp_enqueue_script('jquery.validate.min', NIOBE_URI.'/assets/js/jquery.validate.min.js', array('jquery'),null,true);
    wp_enqueue_script('jquery.flexslider.min', NIOBE_URI.'/assets/js/jquery.flexslider.min.js', array('jquery'),null,true);

    wp_enqueue_script('TweenMax.min', NIOBE_URI.'/assets/js/lib/greensock/TweenMax.min.js', array('jquery'),null,true);
    wp_enqueue_script('ScrollMagic', NIOBE_URI.'/assets/js/ScrollMagic.min.js', array('jquery'),null,true);
    wp_enqueue_script('animation.gsap.min', NIOBE_URI.'/assets/js/animation.gsap.min.js', array('jquery'),null,true);
    wp_enqueue_script('typed.min', NIOBE_URI.'/assets/js/typed.min.js', array('jquery'),null,true);

    wp_enqueue_script('ova-niobe-main', NIOBE_URI.'/assets/js/main.js', array('jquery'),null,true);



    /* Add Css  */
    wp_enqueue_style('bootstrap', NIOBE_URI.'/assets/plugins/bootstrap/css/bootstrap.min.css', array(), null);
    wp_enqueue_style('font-awesome', NIOBE_URI.'/assets/plugins/font-awesome-4.4.0/css/font-awesome.min.css', array(), null);

    wp_enqueue_style('flickity', NIOBE_URI.'/assets/css/flickity.min.css', array(), null);
    wp_enqueue_style('magnific-popup', NIOBE_URI.'/assets/css/magnific-popup.css', array(), null);
    wp_enqueue_style('flexslider', NIOBE_URI.'/assets/css/flexslider.css', array(), null);
    wp_enqueue_style('ova-niobe_main', NIOBE_URI.'/assets/css/niobe_main.css', array(), null);
    wp_enqueue_style('ova-niobe_style', NIOBE_URI.'/assets/css/niobe_style.css', array(), null);


    wp_enqueue_style('ova-niobe_color_pink', NIOBE_URI.'/assets/css/niobe_color_pink.css', array(), null);

    wp_enqueue_style('ova-niobe-default', NIOBE_URI.'/assets/css/default.css', array(), null);

    if ( is_child_theme() ) {
      wp_enqueue_style( 'parent-stylesheet', trailingslashit( get_template_directory_uri() ) . 'style.css', array(), null );
    }

    wp_enqueue_style( 'ova-niobe-style', get_stylesheet_uri(), array(), null );

}



function niobe_primary_color(){

  $main_color = get_theme_mod('main_color', '#ed4a43');
  $body_font = str_replace('ovatheme_','',get_theme_mod('body_font', 'Roboto'));
  $heading_font = str_replace('ovatheme_','',get_theme_mod('heading_font', 'Montserrat'));

  $custom_css = "
    .font-family-alt, .btn {
        font-family: {$heading_font}, sans-serif !important;
    }
    body, .font-family-base{
      font-family: {$body_font}, sans-serif !important;
    }
    
    
    .ovatheme_header_default nav.navbar li.active>a{
      color: {$main_color};
    }
    .bg-base-color {
        background-color:  {$main_color} !important;
	}
    
    .title-sideline-base-color:before {
        background-color: {$main_color};
	}
	
	.title-underline-thick-base-color {
	    border-color: {$main_color};
	}
	
	.btn.btn-base-color {
	    background-color: {$main_color};
	}
	

    div.wpcf7-mail-sent-ok{
     color: {$main_color};   
    }
    
    .triangle-top-left.triangle-base-color {
	    border-color: {$main_color} transparent transparent transparent;
	}

  ";
  wp_add_inline_style( 'ova-niobe-style', $custom_css );

}




/* Google Font */
function niobe_customize_google_fonts() {
    $fonts_url = '';

    $body_font = get_theme_mod('body_font', 'Roboto');
    $heading_font = get_theme_mod('heading_font', 'Raleway');
    
    $body_font_c = _x( 'on', $body_font.': on or off', 'ova-niobe');
    $heading_font_c = _x( 'on', $heading_font.': on or off', 'ova-niobe' );

 
    if ( 'off' !== $body_font_c || 'off' !== $heading_font_c ) {
        $font_families = array();
 
        if ( 'off' !== $body_font_c && strpos($body_font,'ovatheme_') === false ) {
            $font_families[] = $body_font.':100,200,300,400,500,600,700,800,900"';
        }
 
        if ( 'off' !== $heading_font_c  && strpos($heading_font,'ovatheme_') === false ) {
            $font_families[] = $heading_font.':100,200,300,400,500,600,700,800,900';
        }
        

        if($font_families != null){
          $query_args = array(
              'family' => urlencode( implode( '|', $font_families ) ),
              'subset' => urlencode( 'latin,latin-ext' ),
          );  
          $fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
        }
        
 
        
    }
 
    return esc_url_raw( $fonts_url );
}






/************************************************************************************************/
/************************************************************************************************/

function niobe_hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);
   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   return $rgb; // returns an array with the rgb values
}













