<?php
add_action( 'init', 'vc_niobe_about', 1000 );
function vc_niobe_about() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "About", 'ova-niobe' ),
			"base"     => "niobe_about",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textarea_html",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "content", 'ova-niobe' ),
					"param_name" => "content",
					"default"    => '',
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button text", 'ova-niobe' ),
					"param_name" => "button_text",
					"default"    => '',
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button link", 'ova-niobe' ),
					"param_name" => "button_link",
					"default"    => '',
				),

				array(
					"type"       => "attach_image",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Signature", 'ova-niobe' ),
					"param_name" => "sign",
					"default"    => '',
				),

				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => __( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"default"     => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


	}
}


add_shortcode( 'niobe_about', 'niobe_about' );
function niobe_about( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'sign'        => 0,
			'content'     => '',
			'button_text' => '',
			'button_link' => '',
			'class'       => '',
		), $atts );
	$sign = wp_get_attachment_image_src( $atts['sign'], 'full', true );
	$sign = isset( $sign[0] ) && $sign[0] != '' ? '<img src="' . $sign[0] . '" alt="'.__('Signature','ova-niobe').'"/>' : '';
	$html = '<div class="col-md-6 col-md-offset-6 ' . $atts['class'] . '">
                    ' . do_shortcode( $content ) . '
                    <div class="row no-padding-bottom no-padding-rl padding-6-5">
                        <div class="col-sm-6 hidden-xs">';
						if ( $atts['button_text'] != '' ) {
							$html .= '<a href="' . $atts['button_link'] . '" class="page-scroll btn btn-medium btn-outline-black">' . $atts['button_text'] . '</a>';
						}
						$html .= '</div>
                        <div class="col-sm-6">
                            ' . $sign . '
                        </div>
                    </div>
                </div>';

	return $html;
}


