<?php
add_action( 'init', 'vc_niobe_animated_typing', 1000 );
function vc_niobe_animated_typing() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Animated typing ", 'ova-niobe' ),
			"base"     => "niobe_animated_typing",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"value"      => "",
				),
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Text before animated", 'ova-niobe' ),
					"param_name" => "text_before_animated",
					"value"      => "",
				),
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Text animated", 'ova-niobe' ),
					"param_name" => "text_animated",
					"value"      => "",
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Text after animated", 'ova-niobe' ),
					"param_name" => "text_after_animated",
					"value"      => "",
				),
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button text", 'ova-niobe' ),
					"param_name" => "button_text",
					"value"      => "",
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button link", 'ova-niobe' ),
					"param_name" => "button_link",
					"value"      => "",
				),


				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Class", 'ova-niobe' ),
					"param_name" => "class",
					"default"    => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );

	}
}


add_shortcode( 'niobe_animated_typing', 'niobe_animated_typing' );
function niobe_animated_typing( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'title'                => '',
			'text_before_animated' => '',
			'text_after_animated'  => '',
			'text_animated'        => '',
			'button_text'          => '',
			'button_link'          => '',
			'class'                => '',
		), $atts );
	$html = '<div class="container ' . $atts['class'] . '">
                <div class="row">
                    <div class="col-md-8">';
	if ( $atts['title'] != '' ) {
		$html .= '<h2 class="font-family-alt font-weight-700 letter-spacing-2 text-uppercase text-white xs-title-extra-large sm-title-extra-large-3 title-extra-large-5">' . $atts['title'] . '</h2>';
	}
	if ( $atts['text_before_animated'] != '' || $atts['text_animated'] != '' || $atts['text_after_animated'] != '' ) {
		$html .= '<p class="font-family-alt letter-spacing-1 margin-3 no-margin-bottom no-margin-rl text-gray-light xs-text-large text-extra-large text-uppercase">
            ' . $atts['text_before_animated'] . ' <span class="typed-strings" data-text = "' . $atts['text_animated'] . '" ></span> ' . $atts['text_after_animated'] . '
        </p>';
	}
	if ( $atts['button_text'] != '' ) {
		$html .= '<a href="' . $atts['button_link'] . '" class="page-scroll btn btn-base-color sm-btn-medium btn-large margin-4-5 no-margin-bottom no-margin-rl">' . $atts['button_text'] . '</a>';
	}
	$html .= '</div>
              </div>
             </div>';

	return $html;
}



