<?php
add_action( 'init', 'vc_niobe_background_parallax', 1000 );
function vc_niobe_background_parallax() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Background parallax", 'ova-niobe' ),
			"base"     => "niobe_background_parallax",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "attach_image",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Image", 'ova-niobe' ),
					"param_name" => "image",
					"value"      => ''
				),
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"value"      => ''
				),
				array(
					"type"       => "textarea",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Description", 'ova-niobe' ),
					"param_name" => "sub_title",
					"value"      => ''
				),
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button text", 'ova-niobe' ),
					"param_name" => "button_text",
					"value"      => ''
				),
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button link", 'ova-niobe' ),
					"param_name" => "button_link",
					"value"      => ''
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Class", 'ova-niobe' ),
					"param_name" => "class",
					"default"    => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


	}
}


add_shortcode( 'niobe_background_parallax', 'niobe_background_parallax' );
function niobe_background_parallax( $atts, $content = null ) {
	$atts   = shortcode_atts(
		array(
			'image'       => '0',
			'title'       => '',
			'sub_title'   => '',
			'button_text' => '',
			'button_link' => '',
			'class'       => '',
		), $atts );
	$src    = wp_get_attachment_image_src( $atts['image'], 'full', true );
	$h2     = ( $atts['title'] ) ? ( '<h2 class="font-family-alt font-weight-700 letter-spacing-2 text-uppercase text-white xs-title-extra-large sm-title-extra-large-3 title-extra-large-5">
	                        	' . $atts['title'] . '
							</h2>' ) : '';
	$button = ( $atts['button_text'] != '' ) ? ( '<a href="' . $atts['button_link'] . '" class="page-scroll btn btn-base-color sm-btn-medium btn-large margin-4-5 no-margin-bottom no-margin-rl">' . $atts['button_text'] . '</a>' ) : '';

	$html = '
	<div  class="home-bg-parallax height-100 no-padding overflow-hidden width-100">
		<div class="bg-parallax bg-overlay-black-6 width-100" style="background-image: url(' . $src[0] . ')" ></div>
	    <div class="display-table height-100 position-absolute position-top position-left width-100 ' . $atts['class'] . '">
	        <div class="display-table-cell vertical-align-middle">
	            <div class="container">
	                <div class="row">
	                    <div class="col-md-8">' . $h2 . '
	                        <p class="font-family-alt letter-spacing-1 margin-3 no-margin-bottom no-margin-rl text-gray-light xs-text-large text-extra-large text-uppercase">
	                            ' . $atts['sub_title'] . '
	                        </p>
	                        '.$button.'
	                    </div>
	                </div>
	            </div>
	        </div>
	    </div>
    </div>
	';

	return $html;
}