<?php
add_action( 'init', 'vc_niobe_contact', 1000 );
function vc_niobe_contact() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Contact info", 'ova-niobe' ),
			"base"     => "niobe_contact_info",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => __( "Icon", 'ova-niobe' ),
					"param_name"  => "icon",
					"value"       => "",
					"description" => esc_html__( "For example: fa-map-marker. Find here: http://fontawesome.io/cheatsheet/", 'ova-niobe' )
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Text", 'ova-niobe' ),
					"param_name" => "text",
					"value"      => "",
				),
				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => __( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"default"     => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );

	}
}


add_shortcode( 'niobe_contact_info', 'niobe_contact_info' );
function niobe_contact_info( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'icon' => '',
			'text'      => '',
			'class'      => '',
		), $atts );
	$icon = ($atts['icon']!='')?('<i class="fa '.$atts['icon'].' opacity-6 text-gray title-extra-large"></i>'):'';
	$text = ($atts['text']!='')?('<p class="font-family-alt margin-4 no-margin-bottom no-margin-rl text-gray-dark-2 text-medium text-uppercase">'.$atts['text'].'</p>'):'';
	$html = '<div class="text-center">'.$icon.$text.'</div>';
	return $html;
}

