<?php
add_action( 'init', 'vc_niobe_gallery', 1000 );
function vc_niobe_gallery() {
	if ( function_exists( 'vc_map' ) ) {


		vc_map( array(
			"name" => __("Gallery", 'ova-niobe'),
			"base" => "niobe_gallery",
			"class" => "",
			"category" => __("Niobe", 'ova-niobe'),
			"icon" => "icon-qk",
			"as_parent" => array('only' => 'niobe_gallery_item', ),
			"content_element" => true,
			"js_view" => 'VcColumnView',
			"show_settings_on_create" => false,
			"params" => array(
				array(
					"type" => "dropdown",
					"holder" => "div",
					"class" => "",
					"heading" => __("Choose columns",'ova-niobe'),
					"param_name" => "column",
					"value" => array(
						__('2 columns', 'ova-niobe') => "grid-col-2",
						__('3 columns', 'ova-niobe') => "grid-col-3",
						__('4 columns', 'ova-niobe') => "grid-col-4",
					),
					"default"	=> "grid-col-2"
				),
				array(
					"type" => "textfield",
					"holder" => "div",
					"class" => "",
					"heading" => __("Class",'ova-niobe'),
					"param_name" => "class",
					"default"  => ''
				),
			)));



		if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
			class WPBakeryShortCode_niobe_gallery extends WPBakeryShortCodesContainer {
			}
		}


		vc_map( array(
			"name"     => __( "Gallery item", 'ova-niobe' ),
			"base"     => "niobe_gallery_item",
			"as_child" => array('only' => 'niobe_gallery'),
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"value"      => ""
				),

				array(
					"type"       => "attach_image",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Image", 'ova-niobe' ),
					"param_name" => "image",
					"value"      => ""
				),
				array(
					"type"       => "checkbox",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Show/Hide separator line", 'ova-niobe' ),
					"param_name" => "show_hide_separator_line",
					"value"      => true,
				),

				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => esc_html__( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"value"       => "",
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


		if ( class_exists( 'WPBakeryShortCode' ) ) {
			class WPBakeryShortCode_niobe_gallery_item extends WPBakeryShortCode {
			}
		}

	}
}


add_shortcode( 'niobe_gallery_item', 'niobe_gallery_item' );
function niobe_gallery_item( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'name'           => '',
			'title'          => '',
			'image'          => '0',
			'desc'           => '',
			'show_hide_separator_line'           => false,
			'class'          => '',
		), $atts );

	$imagesrc = wp_get_attachment_image_src( $atts['image'], 'full', true );
	$image = isset( $imagesrc[0] ) && $imagesrc[0] != '' ? ('<img src="' . $imagesrc[0] . '" alt="'.$atts['title'].'"/>') : '';
	$show_hide_separator_line = ( $atts['show_hide_separator_line'] == true ) ? '<span class="bg-base-color display-inline-block separator-line-thick"></span>' : '';
	$html = '
			<div class="item">
                <figure>
                    <div class="gallery-img">
                        '.$image.'
                    </div>
                    <figcaption>
                        <a href="'.$imagesrc[0].'" title="'.$atts['title'].'">
                            <div class="display-table">
                                <div class="display-table-cell">
                                    <h4 class="font-family-alt letter-spacing-1 text-uppercase sm-text-medium text-large text-white">'.$atts['title'].'</h4>
                                    '.$show_hide_separator_line.'
                                </div>
                            </div>
                        </a>
                    </figcaption>
                </figure>
            </div>
			';
	return $html;
}

add_shortcode( 'niobe_gallery', 'niobe_gallery' );
function niobe_gallery( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'column'	=> 'grid-col-2',
			'class'	=> '',
		), $atts);
	$html = '<div class="gallery-wrapper '.$atts['class'].'"><div class="gallery-grid '.$atts['column'].' gutter-wide">'.do_shortcode($content).'</div></div>';

	return $html;
}





