<?php
add_action( 'init', 'vc_niobe_heading', 1000 );
function vc_niobe_heading() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Heading", 'ova-niobe' ),
			"base"     => "niobe_heading",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"default"    => '',
				),

				array(
					"type"       => "textarea",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Sub title", 'ova-niobe' ),
					"param_name" => "sub_title",
					"default"    => '',
				),

				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => __( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"default"     => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


	}
}


add_shortcode( 'niobe_heading', 'niobe_heading' );
function niobe_heading( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'title'     => '',
			'sub_title' => '',
			'class'     => '',
		), $atts );
	$h3 = ($atts['title']!='')?('<h3 class="font-family-alt font-weight-700 letter-spacing-2 no-margin-top text-uppercase xs-title-small title-medium title-underline-thick-base-color">'.$atts['title'].'</h3>'):'';

	$text = ($atts['sub_title'])? '<p class="margin-4 no-margin-bottom no-margin-rl text-gray-dark-2 xs-text-large text-extra-large"><i>'.$atts['sub_title'].'</i></p>' : '';

	$html = '<div class="row no-padding-rl no-padding-top padding-8 '.$atts['class'].'" ><div class="col-md-6 col-md-offset-3 text-center ">';
	$html .= $h3;
	$html .= $text;
	$html .= '</div></div>';

	return $html;
}


