<?php
add_action( 'init', 'vc_niobe_help', 1000 );
function vc_niobe_help() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Help info", 'ova-niobe' ),
			"base"     => "niobe_help_info",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Title opening hours", 'ova-niobe' ),
					"param_name" => "title_opening_hours",
					"value"      => "",
				),

				array(
					"type"       => "textarea",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Opening hours", 'ova-niobe' ),
					"param_name" => "open_hours",
					"value"      => "",
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Title booking", 'ova-niobe' ),
					"param_name" => "title_booking",
					"value"      => "",
				),


				array(
					"type"       => "textarea",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Booking description", 'ova-niobe' ),
					"param_name" => "desc",
					"value"      => "",
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Booking phone", 'ova-niobe' ),
					"param_name" => "phone",
					"value"      => "",
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Booking email", 'ova-niobe' ),
					"param_name" => "email",
					"value"      => "",
				),

				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => __( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"default"     => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


		vc_map( array(
			"name"     => __( "Faq", 'ova-niobe' ),
			"base"     => "niobe_help_faq",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Limit", 'ova-niobe' ),
					"param_name" => "limit",
					"default"    => "10",
				),
				array(
					'type'       => 'dropdown',
					'heading'    => __( 'Order', 'ova-niobe' ),
					'param_name' => 'order',
					"holder"     => "div",
					'value'      => array(
						__( 'ASC', 'ova-niobe' )  => 'ASC',
						__( 'DESC', 'ova-niobe' ) => 'DESC',
					),
				),

				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => __( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"default"     => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


	}
}


add_shortcode( 'niobe_help_info', 'niobe_help_info' );
function niobe_help_info( $atts, $content = null ) {
	$atts       = shortcode_atts(
		array(
			'title_opening_hours' => '',
			'open_hours'          => '',
			'phone'               => '',
			'email'               => '',
			'title_booking'       => '',
			'desc'                => '',
			'class'               => '',
		), $atts );
	$phone      = ( $atts['phone'] != '' ) ? ( '<p class="margin-3 no-margin-bottom no-margin-rl text-gray-dark-2 text-large">' . $atts['phone'] . '</p>' ) : '';
	$email      = ( $atts['email'] != '' ) ? ( '<p class="margin-3 no-margin-bottom no-margin-rl text-gray-dark-2 text-large">' . $atts['email'] . '</p>' ) : '';
	$hours      = ( $atts['email'] != '' ) ? ( '<p class="margin-3 no-margin-bottom no-margin-rl text-gray-dark-2 text-large">' . $atts['open_hours'] . '</p>' ) : '';
	$html       = '';
	$titlehours = '';
	if ( $atts['title_opening_hours'] != '' ) {
		$titlehours = '<h4 class="font-family-alt no-margin-top font-weight-600 letter-spacing-2 text-large text-uppercase title-underline-thick-base-color">' . $atts['title_opening_hours'] . '</h4>';
	}
	if ( $hours != '' ) {
		$html .= $titlehours . $hours;
	}
	$titlebooking = '';
	if ( $atts['title_booking'] != '' ) {
		$titlebooking = '<h4 class="font-family-alt font-weight-600 letter-spacing-2 margin-8 no-margin-bottom no-margin-rl text-large text-uppercase title-underline-thick-base-color">' . $atts['title_booking'] . '</h4>';
	}

	if ( $email != '' || $phone != '' ) {
		$html .= $titlebooking;
		$html .= '<p class="margin-3 no-margin-bottom no-margin-rl text-gray-dark-2 text-large"></p>' . $phone . $email;
	}

	return $html;
}


add_shortcode( 'niobe_help_faq', 'niobe_help_faq' );
function niobe_help_faq( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'limit' => '10',
			'order' => 'ASC',
			'class' => '',
		), $atts );
	$arg  = array(
		'post_type'      => 'faq',
		'post_status'    => array( 'publish' ),
		'posts_per_page' => $atts['limit'],
		'meta_key'       => 'niobe_met_faq_order',
		'orderby'        => 'meta_value_num',
		'order'          => $atts['order'],
	);

	$faqs  = new WP_Query( $arg );
	$html  = '<div class="panel-group position-relative ' . $atts['class'] . '" id="accordion" role="tablist">';
	$i     = 0;
	$count = $faqs->post_count - 1;
	while ( $faqs->have_posts() ) {
		$faqs->the_post();
		$id          = get_the_ID();
		$in          = ( $i == 0 ) ? 'in' : '';
		$collapsed   = ( $i == 0 ) ? 'collapsed' : '';
		$boderbottom = ( $i != $count ) ? 'no-border-bottom' : '';
		$i ++;
		$html .= '<div class="panel ' . $boderbottom . '" role="tab" id="heading-' . $id . '">
                    <div class="panel-heading">
                        <div class="panel-title display-block">
                            <a class="' . $collapsed . ' font-family-alt font-weight-600 letter-spacing-2 text-medium text-uppercase" role="button" data-toggle="collapse" data-parent="#accordion" href="#collapse-' . $id . '" aria-controls="collapse-' . $id . '">' . get_the_title() . '</a>
                        </div>
                    </div>
                    <div id="collapse-' . $id . '" class="panel-collapse collapse ' . $in . '" role="tabpanel" aria-labelledby="heading-' . $id . '">
                        <div class="panel-body">
                            <p class="text-gray-dark-2 text-large">' . do_shortcode(get_the_content()) . '</p>
                        </div>
                    </div>
                </div>';
	}
	$html .= '</div>';

	return $html;
}

