<?php
add_action( 'init', 'vc_niobe_intro', 1000 );
function vc_niobe_intro() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Intro", 'ova-niobe' ),
			"base"     => "niobe_intro",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textarea_html",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "content", 'ova-niobe' ),
					"param_name" => "content",
					"value"      => "",
				),
				array(
					"type"        => "attach_image",
					"holder"      => "div",
					"class"       => "",
					"heading"     => __( "Background", 'ova-niobe' ),
					"param_name"  => "background",
					"default"     => '',
					"description" => esc_html__( "Image background", 'ova-niobe' )
				),

				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => __( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"default"     => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


	}
}


add_shortcode( 'niobe_intro', 'niobe_intro' );
function niobe_intro( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'background' => 0,
			'class'      => '',
		), $atts );
	$background_image = wp_get_attachment_image_src($atts['background'],'full',true);
	$background_image = isset($background_image[0]) && $background_image[0] != '' ?'<img src="'.$background_image[0].'" alt=""/>':'';
	$html = '<div class="intro bg-white-3 sm-no-padding-rl no-padding-rl sm-padding-17 padding-11 position-relative '.$atts['class'].'">
        '.$background_image.'
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-md-offset-2 text-center">
                    <div class="font-family-alt no-margin position-relative xs-text-large text-extra-large text-gray-dark-2">' . do_shortcode( $content ) . '</div>
                </div>
            </div>
        </div>
    </div>';

	return $html;
}


