<?php
add_action( 'init', 'vc_niobe_milestones', 1000 );
function vc_niobe_milestones() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Milestones item", 'ova-niobe' ),
			"base"     => "niobe_milestones_item",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Number", 'ova-niobe' ),
					"param_name" => "number",
					"value"      => ""
				),
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"value"      => ""
				),
				array(
					"type"       => "dropdown",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Border", 'ova-niobe' ),
					"param_name" => "border",
					"value"      => array(
						'Yes' => 'border-right',
						'N0'  => 'no',
					),
					'default'    => 'border-right'
				),
				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => esc_html__( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"value"       => "",
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


	}
}


add_shortcode( 'niobe_milestones_item', 'niobe_milestones_item' );
function niobe_milestones_item( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'number' => '',
			'title'  => '',
			'border' => 'border-right',
			'class'  => '',
		), $atts );
	$html =  '<div class="' . $atts['class'] . ' ' . $atts['border'] . ' border-white xs-margin-7 text-center xs-no-border">
                    <span class="timer display-block font-family-alt letter-spacing-2 text-white sm-title-large title-extra-large" data-from="0" data-to="' . $atts['number'] . '" data-speed="3000">' . $atts['number'] . '</span>
                    <span class="display-block font-family-alt letter-spacing-2 margin-3 no-margin-bottom no-margin-rl text-uppercase text-white sm-text-large title-small">' . $atts['title'] . '</span>
                </div>';

	return $html;
}





