<?php
add_action( 'init', 'vc_niobe_packages', 1000 );
function vc_niobe_packages() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Packages item", 'ova-niobe' ),
			"base"     => "niobe_packages_item",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"value"      => ""
				),

				array(
					"type"       => "textarea",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Content", 'ova-niobe' ),
					"param_name" => "sub_title",
					"value"      => ""
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Text bottom", 'ova-niobe' ),
					"param_name" => "text_bottom",
					"value"      => ""
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Link bottom", 'ova-niobe' ),
					"param_name" => "link_bottom",
					"value"      => ""
				),

				array(
					"type"       => "dropdown",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Text position", 'ova-niobe' ),
					"param_name" => "text_position",
					"value"      => array(
						__( 'Left', 'ova-niobe' )  => 'position-left',
						__( 'Right', 'ova-niobe' ) => 'sm-position-left position-right'
					),
					'default'    => 'position-left'
				),
				array(
					"type"       => "attach_image",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Image", 'ova-niobe' ),
					"param_name" => "image",
					"value"      => ""
				),
				array(
					"type"       => "checkbox",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Show/Hide separator line", 'ova-niobe' ),
					"param_name" => "show_hide_separator_line",
					"value"      => '1',
				),
				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => esc_html__( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"value"       => "",
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


	}
}


add_shortcode( 'niobe_packages_item', 'niobe_packages_item' );
function niobe_packages_item( $atts, $content = null ) {
	$atts                     = shortcode_atts(
		array(
			'title'                    => '',
			'sub_title'                => '',
			'text_bottom'              => '',
			'link_bottom'              => '',
			'text_position'            => 'position-left',
			'image'                    => '0',
			'show_hide_separator_line' => false,
			'class'                    => '',
		), $atts );
	$image                    = wp_get_attachment_image_src( $atts['image'], 'full', true );
	$image                    = isset( $image[0] ) && $image[0] != '' ? '<img src="' . $image[0] . '" alt="' . $atts['title'] . '"/>' : '';
	$show_hide_separator_line = ( $atts['show_hide_separator_line'] == true ) ? '<span class="bg-base-color hidden-xs margin-8 no-margin-bottom no-margin-rl separator-line-thick"></span>' : '';
	$link = ($atts['link_bottom'] !='')?('<a class = "link-package-item" href="'.$atts['link_bottom'].'" >'.$atts['text_bottom'].'</a>'):$atts['text_bottom'];
	$button = ($atts['text_bottom'] != '')?('<div class="bg-base-color height-38px position-absolute position-bottom ' . $atts['text_position'] . ' text-center width-100">
                                <div class="display-table height-100 width-100">
                                    <span class="display-table-cell font-family-alt letter-spacing-1 xs-text-extra-small text-small text-uppercase text-white vertical-align-middle">' . $link. '</span>
                                </div>
                            </div>'):'';

	$html                     = '<div class="box-shadow-yes position-relative margin-3 sm-no-margin-bottom  ' . $atts['class'] . '">
                        <div class="bg-overlay-gray-1">
                            ' . $image . '
                        </div>
                        <div class="bg-white height-100 opacity-9 position-absolute position-top ' . $atts['text_position'] . ' xs-width-100 width-50">
                            <span class="opacity-7 position-absolute position-top position-left triangle-top-left triangle-base-color"></span>
                            <div class="display-table height-100 width-100">
                                <div class="display-table-cell no-padding-tb padding-13 xs-text-center vertical-align-middle">
                                    <h4 class="font-family-alt font-weight-600 letter-spacing-1 margin-top-min-38px xs-text-small text-extra-large text-uppercase">' . $atts['title'] . '</h4>
                                    <p class="font-family-alt letter-spacing-1 margin-5 no-margin-bottom no-margin-rl text-gray-dark-2 xs-text-extra-small text-small text-uppercase">' . $atts['sub_title'] . '</p>
                                    ' . $show_hide_separator_line . '
                                </div>
                            </div>
                            '.$button.'
                        </div>
                    </div>';

	return $html;
}





