<?php
add_action( 'init', 'vc_niobe_reviews', 1000 );
function vc_niobe_reviews() {
	if ( function_exists( 'vc_map' ) ) {


		vc_map( array(
			"name"                    => __( "Reviews", 'ova-niobe' ),
			"base"                    => "niobe_reviews",
			"class"                   => "",
			"category"                => __( "Niobe", 'ova-niobe' ),
			"icon"                    => "icon-qk",
			"as_parent"               => array( 'only' => 'niobe_reviews_item', ),
			"content_element"         => true,
			"js_view"                 => 'VcColumnView',
			"show_settings_on_create" => false,
			"params"                  => array(

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Time next (ms). Ex: 3000", 'ova-niobe' ),
					"param_name" => "autoplay",
					"default"    => '',
					"description" => esc_html__( "For manual fill: false", 'ova-niobe' )
				),

				array(
					"type"       => "dropdown",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Columns", 'ova-niobe' ),
					"param_name" => "columns",
					"value"      => array(
						__( '4 Columns', 'ova-niobe' )  => "col-md-3",
						__( '3 Columns', 'ova-niobe' )  => "col-md-4",
						__( '2 Columns', 'ova-niobe' )  => "col-md-6",
					),
					"default"    => "col-md-3"
				),


				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Class", 'ova-niobe' ),
					"param_name" => "class",
					"default"    => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


		if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
			class WPBakeryShortCode_niobe_reviews extends WPBakeryShortCodesContainer {
			}
		}


		vc_map( array(
			"name"     => __( "Reviews item", 'ova-niobe' ),
			"base"     => "niobe_reviews_item",
			"as_child" => array( 'only' => 'niobe_reviews' ),
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Name", 'ova-niobe' ),
					"param_name" => "name",
					"value"      => ""
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"value"      => ""
				),

				array(
					"type"       => "attach_image",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Avatar", 'ova-niobe' ),
					"param_name" => "avatar",
					"value"      => ""
				),

				array(
					"type"       => "textarea",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Content", 'ova-niobe' ),
					"param_name" => "content",
					"value"      => ""
				),
				array(
					"type"       => "checkbox",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Show/Hide separator line", 'ova-niobe' ),
					"param_name" => "show_hide_separator_line",
					"value"      => true,
				),

				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => esc_html__( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"value"       => "",
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


		if ( class_exists( 'WPBakeryShortCode' ) ) {
			class WPBakeryShortCode_niobe_reviews_item extends WPBakeryShortCode {
			}
		}

	}
}


add_shortcode( 'niobe_reviews_item', 'niobe_reviews_item' );
function niobe_reviews_item( $atts, $content = null ) {
	$atts                     = shortcode_atts(
		array(
			'name'                     => '',
			'title'                    => '',
			'avatar'                   => '0',
			'desc'                     => '',
			'show_hide_separator_line' => false,
			'class'                    => '',
		), $atts );
	$avatar                   = wp_get_attachment_image_src( $atts['avatar'], 'full', true );
	$avatar                   = isset( $avatar[0] ) && $avatar[0] != '' ? '<img src="' . $avatar[0] . '" alt="' . $atts['title'] . '"/>' : '';
	$show_hide_separator_line = ( $atts['show_hide_separator_line'] == true ) ? '<span class="bg-base-color margin-6-5 no-margin-bottom no-margin-rl separator-line-thick"></span>' : '';
	$name = $atts['name'] !=''?('<div class="bg-white display-table height-38px no-padding-tb padding-7 position-absolute position-bottom position-left">
                    <span class="display-table-cell font-family-alt font-weight-600 letter-spacing-2 text-small text-uppercase vertical-align-middle">' . $atts['name'] . '</span>
                </div>'):'';
	$ct = $content!=''?'"' . do_shortcode( $content ) . '"':'';
	$html                     = ' <div class="features-box features-box-reviews col-sm-6 col-md-3 ' . $atts['class'] . '">
 			<div class="overflow-hidden position-relative">
 				' . $avatar . '
                '.$name.'
            </div>
            <div class="no-padding-bottom no-padding-rl padding-8 position-relative" data-mh="mh-features-box-v5">
                <h4 class="font-family-alt no-margin-top letter-spacing-1 text-medium text-uppercase">' . $atts['title'] . '</h4>
                <p class="margin-4 no-margin-bottom no-margin-rl text-gray-dark-2 text-medium">'.$ct.'</p>
                ' . $show_hide_separator_line . '
            </div></div>';

	return $html;
}

add_shortcode( 'niobe_reviews', 'niobe_reviews' );
function niobe_reviews( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'autoplay' => 'false',
			'columns' => 'col-md-3',
			'class' => '',
		), $atts );
	$html = '<div data-play = "'.$atts['autoplay'].'" data-columns = "'.$atts['columns'].'" class="carousel-main ' . $atts['class'] . '">' . do_shortcode( $content ) . '</div>';

	return $html;
}





