<?php
add_action( 'init', 'vc_niobe_slide_content', 1000 );
function vc_niobe_slide_content() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Content slideshow ", 'ova-niobe' ),
			"base"     => "niobe_content_slideshow",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"value"      => "",
				),
				array(
					"type"       => "textarea",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Sub title", 'ova-niobe' ),
					"param_name" => "subtitle",
					"value"      => "",
				),
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button text", 'ova-niobe' ),
					"param_name" => "button_text",
					"value"      => "",
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button link", 'ova-niobe' ),
					"param_name" => "button_link",
					"value"      => "",
				),


				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Class", 'ova-niobe' ),
					"param_name" => "class",
					"default"    => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );

	}
}


add_shortcode( 'niobe_content_slideshow', 'niobe_content_slideshow' );
function niobe_content_slideshow( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'title'       => '',
			'subtitle'    => '',
			'button_text' => '',
			'button_link' => '',
			'class'       => '',
		), $atts );
	$button = ($atts['button_text']!='')?('<a href="'.$atts['button_link'].'" class="page-scroll btn btn-base-color sm-btn-medium btn-large margin-4-5 no-margin-bottom no-margin-rl">'.$atts['button_text'].'</a>'):'';
	$html = '<div class="container">
                <div class="row">
                    <div class="col-md-8">
                        <h2 class="font-family-alt font-weight-700 letter-spacing-2 text-uppercase text-white xs-title-extra-large sm-title-extra-large-3 title-extra-large-5">'.$atts['title'].'</h2>
                        <p class="font-family-alt letter-spacing-1 margin-3 no-margin-bottom no-margin-rl text-gray-light xs-text-large text-extra-large text-uppercase">
                            '.$atts['subtitle'].'
                        </p>
                        '.$button.'
                    </div>
                </div>
             </div>';

	return $html;
}



