<?php
add_action( 'init', 'vc_niobe_slider', 1000 );
function vc_niobe_slider() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"                    => __( "Slider", 'ova-niobe' ),
			"base"                    => "niobe_slider",
			"class"                   => "",
			"category"                => __( "Niobe", 'ova-niobe' ),
			"icon"                    => "icon-qk",
			"as_parent"               => array( 'only' => 'niobe_slideshow_two_item, niobe_slideshow_one_images ' ),
			"content_element"         => true,
			"js_view"                 => 'VcColumnView',
			"show_settings_on_create" => false,
			"params"                  => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Time next (ms). Ex: 3000", 'ova-niobe' ),
					"param_name" => "time_next",
					"value"      => '3000'
				),
				array(
					"type"       => "dropdown",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Display Button Navigation", 'ova-niobe' ),
					"param_name" => "dis_nav",
					"value"      => array(
						__( 'True', 'ova-niobe' )  => "true",
						__( 'False', 'ova-niobe' ) => "false",
					),
					"default"    => "true"
				),
				array(
					"type"       => "dropdown",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Display Dot Navigation", 'ova-niobe' ),
					"param_name" => "dis_dot",
					"value"      => array(
						__( 'True', 'ova-niobe' )  => "true",
						__( 'False', 'ova-niobe' ) => "false",
					),
					"default"    => "true"
				),

				
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Class", 'ova-niobe' ),
					"param_name" => "class",
					"default"    => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


		if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
			class WPBakeryShortCode_niobe_slider extends WPBakeryShortCodesContainer {
			}
		}


	}
}


add_shortcode( 'niobe_slider', 'niobe_slider' );
function niobe_slider( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'time_next'          => '3000',
			'dis_nav'            => 'true',
			
			'dis_dot'            => 'true',
			'class'              => '',
		), $atts );
	$html = '
	
    <div class="bg-slider-wrapper carousel carousel-fullscreen ' . $atts['class'] . '" data-time-next="' . $atts['time_next'] . '" data-dis-nav="' . $atts['dis_nav'] . '" data-dis-dot="' . $atts['dis_dot'] . '">' . do_shortcode( $content ) . '</div>';
	return $html;
}