<?php
add_action( 'init', 'vc_niobe_slideshow_version1', 1000 );
function vc_niobe_slideshow_version1() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Content Slideshow/Slider Images", 'ova-niobe' ),
			"base"     => "niobe_slideshow_one_images",
			"as_child" => array( 'only' => 'niobe_slideshow' ),
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "attach_images",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Images", 'ova-niobe' ),
					"param_name" => "images",
					"value"      => ""
				),


				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Class", 'ova-niobe' ),
					"param_name" => "class",
					"default"    => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );

		if ( class_exists( 'WPBakeryShortCode' ) ) {
			class WPBakeryShortCode_niobe_slideshow_one_item extends WPBakeryShortCode {
			}
		}

	}
}

add_shortcode( 'niobe_slideshow_one_images', 'niobe_slideshow_one_images' );
function niobe_slideshow_one_images( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'images'       => '',
			'class'       => '',
		), $atts );
	$images = explode(',',$atts['images']);
	$html = '';
	foreach ( $images as $image ) {
		$src = wp_get_attachment_image_src($image,'full',true);

		$html .= '<span class="bg-cover bg-overlay-black bg-overlay-black-6 display-block height-100 width-100" style="background-image: url('.$src[0].')"></span>';

	}

	return $html;
}



