<?php
add_action( 'init', 'vc_niobe_slideshow_version2', 1000 );
function vc_niobe_slideshow_version2() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Content Slideshow/Slider Two", 'ova-niobe' ),
			"base"     => "niobe_slideshow_two_item",
			"as_child" => array( 'only' => 'niobe_slideshow_two' ),
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "attach_image",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Image", 'ova-niobe' ),
					"param_name" => "img",
					"value"      => ""
				),
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"value"      => "",
				),
				array(
					"type"       => "textarea",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Sub title", 'ova-niobe' ),
					"param_name" => "subtitle",
					"value"      => "",
				),
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button text", 'ova-niobe' ),
					"param_name" => "button_text",
					"value"      => "",
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button link", 'ova-niobe' ),
					"param_name" => "button_link",
					"value"      => "",
				),


				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Class", 'ova-niobe' ),
					"param_name" => "class",
					"default"    => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );

		if ( class_exists( 'WPBakeryShortCode' ) ) {
			class WPBakeryShortCode_niobe_slideshow_two_item extends WPBakeryShortCode {
			}
		}




	}
}

add_shortcode( 'niobe_slideshow_two_item', 'niobe_slideshow_two_item' );
function niobe_slideshow_two_item( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'img'       => '',
			'title'       => '',
			'subtitle'    => '',
			'button_text' => '',
			'button_link' => '',
			'class'       => '',
		), $atts );
	$urliamge = wp_get_attachment_image_src($atts['img'],'full',true);
	$button = ($atts['button_text']!='')?('<a href="' . $atts['button_link'] . '" class="page-scroll btn btn-base-color sm-btn-medium btn-large margin-4-5 no-margin-bottom no-margin-rl">
                                    ' . $atts['button_text'] . '
									</a>'):'';
	$html = '<div class="bg-cover bg-overlay-black-7 display-block height-100 width-100 ' . $atts['class'] . '" style="background-image: url('.$urliamge[0].')">
                <div class="display-table height-100 position-absolute position-top position-left width-100">
                    <div class="display-table-cell vertical-align-middle">
                        <div class="container">
                            <div class="row">
                                <div class="col-md-8">
                                    <h2 class="font-family-alt font-weight-700 letter-spacing-2 text-uppercase text-white xs-title-extra-large sm-title-extra-large-3 title-extra-large-5">
                                        ' . $atts['title'] . '
                                    </h2>
                                    <p class="font-family-alt letter-spacing-1 margin-3 no-margin-bottom no-margin-rl text-gray-light xs-text-large text-extra-large text-uppercase">
                                    ' . $atts['subtitle'] . '                    
                                    </p>
                                    '.$button.'
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
             </div>';

	return $html;
}



