<?php
add_action( 'init', 'vc_niobe_spotlight', 1000 );
function vc_niobe_spotlight() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Spotlight title", 'ova-niobe' ),
			"base"     => "niobe_spotlight_title",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"value"      => "",
				),
				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => __( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"default"     => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );

		vc_map( array(
			"name"     => __( "Spotlight item", 'ova-niobe' ),
			"base"     => "niobe_spotlight_item",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"value"      => "",
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button text", 'ova-niobe' ),
					"param_name" => "button_text",
					"value"      => "",
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Button link", 'ova-niobe' ),
					"param_name" => "button_link",
					"value"      => "",
				),

				array(
					"type"       => "attach_image",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Image", 'ova-niobe' ),
					"param_name" => "image",
					"value"      => "",
				),

				array(
					"type"       => "colorpicker",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Background color", 'ova-niobe' ),
					"param_name" => "background_color",
					"value"      => "",
				),

				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => __( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"default"     => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


	}
}


add_shortcode( 'niobe_spotlight_title', 'niobe_spotlight_title' );
function niobe_spotlight_title( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'title' => '',
			'class' => '',
		), $atts );
	$title = ($atts['title']!='')?'<span class="display-table-cell font-family-alt letter-spacing-2 text-medium text-white text-uppercase vertical-align-middle">' . $atts['title'] . '</span>':'';
	$html = '<div class="col-md-12 no-padding '.$atts['class'].'">
                    <div class="bg-base-color display-table no-padding-rl xs-padding-6 sm-padding-3 padding-1 text-center width-100">
                        '.$title.'
                    </div>
             </div>';

	return $html;
}


add_shortcode( 'niobe_spotlight_item', 'niobe_spotlight_item' );
function niobe_spotlight_item( $atts, $content = null ) {
	$atts  = shortcode_atts(
		array(
			'title'            => '',
			'button_text'      => '',
			'button_link'      => '#',
			'image'            => '0',
			'background_color' => '#fff',
			'class'            => '',
		), $atts );
	$background_color = ($atts['background_color'] == '')?'#fff':$atts['background_color'];
	$image = wp_get_attachment_image_src( $atts['image'], 'full', true );
	$image = isset( $image[0] ) && $image[0] != '' ? '<img src="' . $image[0] . '" alt="'.$atts['title'].'"/>' : '';
	$title = ($atts['title']!='')?'<h4 class="font-family-alt font-weight-600 letter-spacing-1 position-relative text-gray-dark-2 text-large text-uppercase title-sideline-base-color">' . $atts['title'] . '</h4>':'';
	$button = ($atts['button_text']!='')?(
'<span class="bg-base-color display-table height-70px position-absolute position-bottom position-right width-70px text-center">
                    <a href="' . $atts['button_link'] . '" class="page-scroll display-table-cell font-family-alt letter-spacing-1 text-small text-uppercase text-white vertical-align-middle">' . $atts['button_text'] . '</a>
                </span>'):'';
	$html = ' <div class="bg-overlay-gray-1 '.$atts['class'].'">
                ' . $image . '
                '.$button.'
              </div>
              <div class="padding-6 text-center" style="background-color: '.$background_color.' !important;">
                '.$title.'
              </div>';

	return $html;
}





