<?php
add_action( 'init', 'vc_niobe_therapists', 1000 );
function vc_niobe_therapists() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Therapists item", 'ova-niobe' ),
			"base"     => "niobe_therapists_item",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Name", 'ova-niobe' ),
					"param_name" => "name",
					"value"      => ""
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Job title", 'ova-niobe' ),
					"param_name" => "job_title",
					"value"      => ""
				),

				array(
					"type"       => "attach_image",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Image", 'ova-niobe' ),
					"param_name" => "image",
					"value"      => ""
				),

				array(
					"type"       => "textarea",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Description", 'ova-niobe' ),
					"param_name" => "desc",
					"value"      => ""
				),

				array(
					"type"       => "colorpicker",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Background color", 'ova-niobe' ),
					"param_name" => "backgrou_color",
					"value"      => ""
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => esc_html__( "Link", 'ova-niobe' ),
					"param_name" => "link",
					"value"      => ""
				),

				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => esc_html__( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"value"       => "",
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


	}
}


add_shortcode( 'niobe_therapists_item', 'niobe_therapists_item' );
function niobe_therapists_item( $atts, $content = null ) {
	$atts = shortcode_atts(
		array(
			'name'           => '',
			'job_title'      => '',
			'image'          => '0',
			'desc'           => '',
			'link'           => '',
			'backgrou_color' => '#fff',
			'class'          => '',
		), $atts );

	$image = wp_get_attachment_image_src( $atts['image'], 'full', true );
	$image = isset( $image[0] ) && $image[0] != '' ? '<img src="' . $image[0] . '" alt="'.$atts['name'].'"/>' : '';
	$link = ($atts['link']!='')?('<a href="'.$atts['link'].'" >' . $atts['name'] . '</a>'):$atts['name'];
	$name = $atts['name'] != '' ? ('<div style="background-color: '.$atts['backgrou_color'].' !important;" class=" no-padding-rl padding-6 position-relative text-center">
                            <span class="display-block font-family-alt font-weight-600 letter-spacing-2 text-gray-dark-2 text-small text-uppercase">' . $link . '</span>
                        </div>'):'';
	$des = '';
	$link = ($atts['link']!='')?('<a href="'.$atts['link'].'" >' . $atts['job_title'] . '</a>'):$atts['job_title'];
	if ($atts['job_title']!='' || $atts['desc']!=''){
		$des = '<div class="ease height-100 padding-3 position-absolute position-top position-left show-on-hover width-100">
                            <div  class=" bg-white height-100 width-100">
                                <div class="display-table height-100 width-100">
                                    <div class="display-table-cell no-padding-tb padding-11 vertical-align-middle">
                                        <h5 class="font-family-alt font-weight-600 letter-spacing-1 xs-text-medium text-large text-uppercase title-underline-base-color">'.$link.'</h5>
                                        <p class="margin-6 no-margin-bottom no-margin-rl text-medium">' . $atts['desc'] . '</p>
                                    </div>
                                </div>
                            </div>
                        </div>';

	}
	$html = '<div class="features-box sm-margin-5 margin-5 '.$atts['class'].'" >
				<div class="position-relative width-100">
			
                        <div class="position-relative">
                            <span class="opacity-7 position-absolute position-top position-left triangle-top-left triangle-base-color"></span>
                            ' . $image . '
                        </div>
                        '.$name.'
                        '.$des.'
                </div>
             </div>';

	return $html;
}





