<?php
add_action( 'init', 'vc_niobe_treatments', 1000 );
function vc_niobe_treatments() {
	if ( function_exists( 'vc_map' ) ) {
		$params = array();
		$terms  = get_terms( 'treatmentsprice', array(
			'hide_empty' => false,
		) );
		$i      = 0;
		$terms_child = $terms;
		foreach ( $terms as $term ) {
			if ( $term->parent == 0 ) {
				$child = array();
				foreach ( $terms_child as $c ) {
					$child[] = $c->slug;
				}
				$i ++;
				$params[] = array(
					'type'        => 'textfield',
					'heading'     => 'Slug of ' . $term->name,
					'param_name'  => 'categories_' . $term->term_id,
					"holder"      => "div",
					"class"       => 'vc_col-sm-6',
					"value"       => implode(',',$child),
					"description" => esc_html__( "Find slug in: Treatments price -> Price groups -> click on group to get slug", 'ova-niobe' )
				);
				$params[] = array(
					'type'       => 'textfield',
					'heading'    => $term->name . __( ' ORDER', 'ova-niobe' ),
					'param_name' => 'categories_order_' . $term->term_id,
					"holder"     => "div",
					"value"      => $i,
				);
			}
		}
		$params[] = array(
			'type'       => 'dropdown',
			'heading'    => __( 'Order', 'ova-niobe' ),
			'param_name' => 'order',
			"holder"     => "div",
			'value'      => array(
				__( 'ASC', 'ova-niobe' )  => 'ASC',
				__( 'DESC', 'ova-niobe' ) => 'DESC',
			),
		);

		$params[] = array(
			'type'       => 'textfield',
			'heading'    => __( 'Price decimals', 'ova-niobe' ),
			'param_name' => 'price_decimals',
			"holder"     => "div"
		);

		$params[] = array(
			'type'       => 'textfield',
			'heading'    => __( 'Price decimal point.', 'ova-niobe' ),
			'param_name' => 'price_point',
			"holder"     => "div"
		);

		$params[] = array(
			'type'       => 'textfield',
			'heading'    => __( 'Price thousands separator', 'ova-niobe' ),
			'param_name' => 'price_thousands_separator',
			"holder"     => "div"
		);

		$params[] = array(
			'type'       => 'textfield',
			'heading'    => __( 'Units of price', 'ova-niobe' ),
			'param_name' => 'price_unit',
			"holder"     => "div"
		);

		$params[] = array(
			'type'       => 'textfield',
			'heading'    => __( 'Text collumn 1', 'ova-niobe' ),
			'param_name' => 'text_column_1',
			"holder"     => "div"
		);
		$params[] = array(
			'type'       => 'textfield',
			'heading'    => __( 'Text collumn 2', 'ova-niobe' ),
			'param_name' => 'text_column_2',
			"holder"     => "div"
		);

		$params[] = array(
			'type'       => 'textfield',
			'heading'    => __( 'Button text ', 'ova-niobe' ),
			'param_name' => 'button_text',
			"holder"     => "div"
		);

		$params[] = array(
			'type'       => 'textfield',
			'heading'    => __( 'Button link ', 'ova-niobe' ),
			'param_name' => 'button_link',
			"holder"     => "div"
		);
		$params[] = array(
			"type"       => "checkbox",
			"holder"     => "div",
			"class"      => "",
			"heading"    => __( "Link title?", 'ova-niobe' ),
			"param_name" => "has_link",
			"value"      => true,
		);
		$params[] = array(
			"type"        => "textfield",
			"holder"      => "div",
			"class"       => "",
			"heading"     => __( "Class", 'ova-niobe' ),
			"param_name"  => "class",
			"default"     => '',
			"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
		);




		vc_map( array(
			"name"     => __( "Treatments", 'ova-niobe' ),
			"base"     => "niobe_treatments",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => $params
		) );


	}
}

add_shortcode( 'niobe_treatments', 'niobe_treatments' );
function niobe_treatments( $atts, $content = null ) {
	$terms                 = get_terms( 'treatmentsprice', array(
		'hide_empty' => false,
	) );
	$listcategories_groups = array();
	foreach ( $terms as $term ) {
		if ( $term->parent == 0 ) {
			if ( isset( $atts[ 'categories_' . $term->term_id ] ) ) {
				$order                                   = isset( $atts[ 'categories_order_' . $term->term_id ] ) ? $atts[ 'categories_order_' . $term->term_id ] : 0;
				$listcategories_groups[ $term->term_id ] = get_term( $term->term_id );
				$categories                              = explode( ',', $atts[ 'categories_' . $term->term_id ] );
				$listcategories                          = array();
				foreach ( $categories as $category ) {
					if ( $category ) {
						$t = get_term_by( 'slug', trim( $category ), 'treatmentsprice' );
						if ( $t ) {
							$listcategories[] = $t;
						}
					}

				}
				$listcategories_groups[ $term->term_id ]->categories = $listcategories;
				$listcategories_groups[ $term->term_id ]->order      = $order;
			}

		}
	}
	$categories_sorted = array();
	$keys              = array_keys( $listcategories_groups );
	for ( $j = 1; $j < count( $keys ); $j ++ ) {
		if ( $listcategories_groups[ $keys[ $j - 1 ] ]->order > $listcategories_groups[ $keys[ $j ] ]->order ) {
			$tmp                                      = $listcategories_groups[ $keys[ $j - 1 ] ];
			$listcategories_groups[ $keys[ $j - 1 ] ] = $listcategories_groups[ $keys[ $j ] ];
			$listcategories_groups[ $keys[ $j ] ]     = $tmp;
		}
	}

	$atts = shortcode_atts(
		array(
			'order'                     => 'ASC',
			'price_decimals'            => '2',
			'price_point'               => '.',
			'price_thousands_separator' => ',',
			'price_unit'                => '$',
			'button_text'               => '',
			'button_link'               => '#',
			'has_link'                  => false,
			'text_column_1'             => __( 'Services', 'ova-niobe' ),
			'text_column_2'             => __( 'Pricing', 'ova-niobe' ),
			'class'                     => '',
		), $atts );


	$i    = 0;
	$html = '<div class="col-sm-4 col-md-3 no-padding-rl ' . $atts['class'] . ' "><ul id="tab-treatments" class="bg-cover bg-white-3 font-family-alt nav nav-pills nav-stacked xs-text-center text-medium text-uppercase" role="tablist" data-mh="mh-tab">';
	foreach ( $listcategories_groups as $listcategories_group ) {
		$html .= '<li role="presentation"><span class="display-block font-weight-600 text-extra-large">' . $listcategories_group->name . '</span></li>';
		foreach ( $listcategories_group->categories as $category ) {
			if ( $i == 0 ) {
				$html .= '<li role="presentation" class="active"><a class="text-gray-dark-2" href="#' . $category->slug . '"  role="tab" data-toggle="tab">' . $category->name . '</a></li>';
			} else {
				$html .= '<li role="presentation"><a class="text-gray-dark-2" href="#' . $category->slug . '"  role="tab" data-toggle="tab">' . $category->name . '</a></li>';


			}
			$i ++;
		}

	}
	$html .= '</ul></div>';
	$html .= '<div class="col-sm-8 col-md-6 no-padding-rl ' . $atts['class'] . '">
				<div class="tab-content bg-white opacity-9 position-relative" data-mh="mh-tab"> 
				<span class="position-absolute position-top position-right triangle-top-right triangle-gray-light"></span>';
	$i    = 0;

	foreach ( $listcategories_groups as $listcategories_group ) {
		foreach ( $listcategories_group->categories as $category ) {
			$active = ( $i == 0 ) ? 'active' : '';
			$i ++;
			$attrs = array(
				'post_type'   => 'treatments_price',
				'tax_query'   => array(
					array(
						'taxonomy' => 'treatmentsprice',
						'field'    => 'term_id',
						'terms'    => array( $category->term_id ),
						'operator' => 'IN',
					)

				),
				'post_status' => array( 'publish' ),
				'meta_key'    => 'niobe_met_treatment_price_order',
				'orderby'     => 'meta_value_num',
				'order'       => $atts['order'],
			);

			$prices = new WP_Query( $attrs );
			$html   .= '<div class="tab-pane ' . $active . '" id="' . $category->slug . '" role="tabpanel">
                            <div class="row">
                                <div class="col-md-11">
                                    <h4 class="font-family-alt no-margin-top font-weight-600 text-extra-large text-uppercase">' . $category->name . '</h4>
                                    <p class="padding-1-5 no-padding-bottom no-padding-rl text-large">' . $category->description . '</p>
                                </div>
                            </div>
                            <div class="pricing-table-wrapper position-relative width-100">
                                <div class="inner-content position-relative height-100">
                                    <div class="scrollbar position-absolute">
                                        <div class="track bg-gray-light height-100 position-relative width-100">
                                            <div class="thumb bg-gray overflow-hidden position-absolute width-100">
                                                <div class="end"></div>
                                            </div>
                                        </div>
                                    </div>
                                    
                                    <div class="viewport height-100 overflow-hidden position-relative">
                                        <div class="overview no-margin xs-position-relative position-absolute width-100">
                                            <div class="pricing-table font-family-alt margin-2 no-margin-bottom no-margin-rl xs-text-small text-medium text-uppercase">
                                                <div class="row item no-border">
                                                    <div class="col-xs-8">
                                                    	<span class="font-weight-600 title-underline-thick-base-color">' . $atts['text_column_1'] . '</span>
                                                    </div>
                                                    <div class="col-xs-4">
                                                    	<span class="font-weight-600 title-underline-thick-base-color">' . $atts['text_column_2'] . '</span>
                                                    </div>
                                                </div>';

			while ( $prices->have_posts() ) {
				$prices->the_post();
				$price = get_post_meta( get_the_ID(), 'niobe_met_treatment_price', true );
				$title = ($atts['has_link'] == true)?'<a href="'.(get_permalink(get_the_ID())).'" >'.get_the_title().'</a>':get_the_title();
				$html  .= '<div class="row item">
                                                    <div class="col-xs-8">' . $title . '</div>
                                                    <div class="col-xs-4"><span class="text-gray-dark-2">' . $atts['price_unit'] . ( number_format( $price, $atts['price_decimals'], $atts['price_point'], $atts['price_thousands_separator'] ) ) . '</span></div>
                                                </div>';
			}
			$html .= '</div>
                                        </div>
                                    </div>
                                </div>
                            </div>';

			if ( $atts['button_text'] != '' ) {
				$html .= '<a href="' . $atts['button_link'] . '" class="page-scroll btn btn-medium btn-outline-black margin-7 no-margin-rl">' . $atts['button_text'] . '</a>';
			}
			$html .= '</div>';
		}
	}
	$html .= '</div></div>';
	wp_reset_query();

	return $html;
}



