<?php
add_action( 'init', 'vc_niobe_why_us', 1000 );
function vc_niobe_why_us() {
	if ( function_exists( 'vc_map' ) ) {
		vc_map( array(
			"name"     => __( "Why us item", 'ova-niobe' ),
			"base"     => "niobe_why_us_item",
			"class"    => "",
			"category" => __( "Niobe", 'ova-niobe' ),
			"icon"     => "icon-qk",
			"params"   => array(
				array(
					"type"       => "attach_image",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Image", 'ova-niobe' ),
					"param_name" => "image",
					"default"    => '',
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Number", 'ova-niobe' ),
					"param_name" => "number",
					"default"    => '',
				),

				array(
					"type"       => "textfield",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Title", 'ova-niobe' ),
					"param_name" => "title",
					"default"    => '',
				),

				array(
					"type"       => "textarea",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Content", 'ova-niobe' ),
					"param_name" => "sub_content",
					"default"    => '',
				),

				array(
					"type"       => "checkbox",
					"holder"     => "div",
					"class"      => "",
					"heading"    => __( "Show/Hide separator line", 'ova-niobe' ),
					"param_name" => "show_hide_separator_line",
					"value"      => true,
				),

				array(
					"type"        => "textfield",
					"holder"      => "div",
					"class"       => "",
					"heading"     => __( "Class", 'ova-niobe' ),
					"param_name"  => "class",
					"default"     => '',
					"description" => esc_html__( "Insert class to use for your style", 'ova-niobe' )
				),
			)
		) );


	}

}


add_shortcode( 'niobe_why_us_item', 'niobe_why_us_item' );
function niobe_why_us_item( $atts, $content = null ) {

	$atts                     = shortcode_atts(
		array(
			'image'                    => 0,
			'number'                   => '',
			'title'                    => '',
			'sub_content'              => '',
			'show_hide_separator_line' => false,
			'class'                    => '',
		), $atts );
	$image                    = wp_get_attachment_image_src( $atts['image'], 'full', true );
	$image                    = isset( $image[0] ) && $image[0] != '' ? '<img src="' . $image[0] . '" alt=""/>' : '';
	$show_hide_separator_line = ( $atts['show_hide_separator_line'] == true ) ? '<span class="bg-base-color margin-9 no-margin-bottom no-margin-rl separator-line-thick"></span>' : '';
	$number = $atts['number'] != ''?'<span class="bg-base-color border-circle box-shadow-extra-thick-white display-block font-family-alt height-60px line-height-60px margin-top-min-30px margin-left-min-30px position-absolute position-top position-left-50 text-center text-extra-large text-white width-60px">' . $atts['number'] . '</span>':'';
	$html                     = '<div class="bg-overlay-gray-1 ' . $atts['class'] . '">
            ' . $image . '
            </div>
            <div class="bg-white padding-16 position-relative" data-mh="mh-features-box-v2">
                <span class="position-absolute position-top position-left triangle-top-left triangle-gray-light"></span>
                '.$number.'
                <div class="display-table height-100 width-100">
                    <div class="display-table-cell vertical-align-middle">
                        <h4 class="font-family-alt font-weight-600 letter-spacing-1 text-uppercase title-small">' . $atts['title'] . '</h4>
                        <p class="margin-5 no-margin-bottom no-margin-rl text-gray-dark-2 text-large">' . $atts['sub_content'] . '</p>
                        ' . $show_hide_separator_line . '
                    </div>
                </div>
            </div>';

	return $html;
}


